Subject: Re: [bug#31997] [PATCH] gnu: linux-libre*: Add Keyed Interface and redefine variants to use new Interface.

From: "Joshua Hayes (ProfessorDey)" <[email-masked]>
Date: Sat, 19 Dec 2020 08:25:10 +0000

Hey there,
It's been 2 years since I submitted this issue, but to my knowledge this is still a limitation of guixsd and the approach is still a valid solution, you'd just need to define any additional explicitly hardcoded kernel varients that have been added since I first wrote it, it's a simple enough interface to build in quickly and allows a lot more flexibility. Admittedly I haven't used guixsd in a long while personally due to this exact limitation, so I don't have a development machine readily to hand for my own testing, but can look into converting my old laptop over once I back it up.

Hope this is helpful at least,
Best Regards
Joshua

On 18 December 2020 23:27:00 GMT, zimoun <[email-masked]> wrote:
>Hi,
>
>What is the status of this bug:
>
>   <http://issues.guix.gnu.org/issue/31997>
>
>?
>
>On Thu, 28 Jun 2018 at 19:49, Joshua Lewis Hayes
><[email-masked]> wrote:
>
>> From 91dcc98640b5e7eb494893100f6ebae823a6cb58 Mon Sep 17 00:00:00
>2001
>> From: Joshua Lewis Hayes <[email-masked]>
>> Date: Thu, 28 Jun 2018 20:01:47 +0000
>> Subject: [PATCH] gnu: linux-libre*: Add Keyed Interface and redefine
>variants
>> to use new Interface.
>>
>> * gnu/packages/linux.scm (linux-libre): Add Keyed Interface
>> * gnu/packages/linux.scm (linux-libre-*): Redefine to use Interface
>
>I am in favor to try to apply it and merge it if it is still relevant,
>otherwise I will close it after the usual 3 weeks delay.
>
>
>All the best,
>simon